package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 中间体质量趋势
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_middleware")
public class QualityMiddleware implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position = 1)
    private String locationName;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称",position = 2)
    private String produceName;

    /**
     * 含量
     */
    @ApiModelProperty(value = "含量",position = 3)
    private String standardValue;

    /**
     * 批次比旋度
     */
    @ApiModelProperty(value = "批次比旋度",position = 4)
    private String batchValue;

    /**
     * 检测项目
     */
    @ApiModelProperty(value = "检测项目",position = 5)
    private String testingItem;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position =6 )
    private Date createTime;

    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID",position = 7)
    private String orgId;


}
