package vip.xiaonuo.risk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 风控管控合同逾期预警
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("risk_contract_warning")
public class RiskContractWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号", position =1)
    private String contractOrder;

    /**
     * 客户名称
     */
    @ApiModelProperty(value = "客户名称", position =2)
    private String customer;

    /**
     * 逾期时间
     */
    @ApiModelProperty(value = "逾期时间", position =3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date overdueTime;

    /**
     * 逾期金额
     */
    @ApiModelProperty(value = "逾期金额", position =4)
    private String overdueMoney;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =5)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


}
