package vip.xiaonuo.risk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 风控指标
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("risk_target")
public class RiskTarget implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 本月采购订单金额
     */
    @ApiModelProperty(value = "本月采购订单金额", position = 1)
    private String monthOrderMoney;

    /**
     * 本年采购订单金额
     */
    @ApiModelProperty(value = "本年采购订单金额", position = 2)
    private String yearOrderMoney;

    /**
     * 本月收料金额
     */
    @ApiModelProperty(value = "本月收料金额", position = 3)
    private String monthMaterialMoney;

    /**
     * 本年收料金额
     */
    @ApiModelProperty(value = "本年收料金额", position = 4)
    private String yearMaterialMoney;

    /**
     * 本月采购入库金额
     */
    @ApiModelProperty(value = "本月采购入库金额", position = 5)
    private String monthIncomeMoney;

    /**
     * 本年采购入库金额
     */
    @ApiModelProperty(value = "本年采购入库金额", position = 6)
    private String yearIncomeMoney;

    /**
     * 本月销售订单金额
     */
    @ApiModelProperty(value = "本月销售订单金额", position = 7)
    private String monthSaleMoney;

    /**
     * 本年销售订单金额
     */
    @ApiModelProperty(value = "本年销售订单金额", position = 8)
    private String yearSaleMoney;

    /**
     * 本月销售订单数量
     */
    @ApiModelProperty(value = "本月销售订单数量", position = 9)
    private String monthSaleNumber;

    /**
     * 本年销售订单数量
     */
    @ApiModelProperty(value = "本年销售订单数量", position = 10)
    private String yearSaleNumber;

    /**
     * 本月销售发货金额
     */
    @ApiModelProperty(value = "本月销售发货金额", position = 11)
    private String monthDeliverMoney;

    /**
     * 本年销售发货金额
     */
    @ApiModelProperty(value = "本年销售发货金额", position = 12)
    private String yearDeliverMoney;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 13)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 14)
    private String orgId;


}
