package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 不合格品台账
 * </p>
 *
 * @author author
 * @since 2025-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_unqualified")
public class WriteUnqualified implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 品名
     */
    @ApiModelProperty(value = "品名", position =1)
    private String produceName;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格", position =2)
    private String model;

    /**
     * 批号(自编批号)
     */
    @ApiModelProperty(value = "批号(自编批号)", position =3)
    private String batchNum;

    /**
     * 数量/件数
     */
    @ApiModelProperty(value = "数量/件数", position =4)
    private Integer number;

    /**
     * 不合格原因
     */
    @ApiModelProperty(value = "不合格原因", position =5)
    private String unqualifiedReason;

    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见", position =6)
    private String dealOpinion;

    /**
     * 完成情况/时间
     */
    @ApiModelProperty(value = "完成情况/时间", position =7)
    private String complete;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", position = 8)
    private String remark;

    @ApiModelProperty(value = "年",position = 9)
    private String year;

    @ApiModelProperty(value = "组织id",position = 10)
    private String orgId;

    @ApiModelProperty(value = "上级记录id",position = 11)
    private Integer listId;

}
